class TEnemy
{
public:
	struct TAlen
	{
		float BackPosX, BackPosY, ttx, tty, TimeMove, rotation, angle, TimeAngle, speed, TimeDeath, delta, Health; //Rotation - Угол поворота спрайта, по нему же и определяется направление движения; Angle - угол к которому стремиться Rotation. (нахождение Angle ведется не каждый Update, а через несколько. Время перерасчета в переменной TimeAngle.)
		bool Move, Attack, Death, Turn, RoundX, RoundY; //Turn: false - по часовой, true - против часовой //Move - движется; Attack - атакует; Round - обходит перепятствия; Death - Умер :'(
		int type;
	};

	TEnemy(HTEXTURE AlenType);
	FindAngle(int Index);
	Update(float dt);
	Render(float X, float Y);
	Add(float x, float y);
	Delete(int Index);
	Back(int Index, char Side);
	CollisionEnemyToBarriers(int EnemyIndex);
	Fre47ght5n16(int Index, int type);


	TAlen Alen[10000];
	int MaxAlen;
	float TempAngle;

private:

	hgeSprite *sprAlenType1, *sprAlenType2, *sprAlenType3, *sprAlenType4;

};